package com.ruoyi.predict.domain;

import com.ruoyi.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.util.Date;

/**
 * WfUspEfPara对象 wf_usp_ef_para
 *
 * @author hlf
 * @date 2021-09-28
 */
public class WfUspEfPara extends BaseEntity {
    private static final long serialVersionUID = 1L;

    private Long windplantNo;

    private Long modelNo;

    private Date efProcTime;

    private Date efDayProcTime;

    private Date efMonthProcTime;

    private Long efType;

    private String para;

    private String mem;

    private Long ifModelValid;

    private String windplantName;

    public void setWindplantNo(Long windplantNo) {
        this.windplantNo = windplantNo;
    }

    public Long getWindplantNo() {
        return windplantNo;
    }

    public void setModelNo(Long modelNo) {
        this.modelNo = modelNo;
    }

    public Long getModelNo() {
        return modelNo;
    }

    public void setEfProcTime(Date efProcTime) {
        this.efProcTime = efProcTime;
    }

    public Date getEfProcTime() {
        return efProcTime;
    }

    public void setEfDayProcTime(Date efDayProcTime) {
        this.efDayProcTime = efDayProcTime;
    }

    public Date getEfDayProcTime() {
        return efDayProcTime;
    }

    public void setEfMonthProcTime(Date efMonthProcTime) {
        this.efMonthProcTime = efMonthProcTime;
    }

    public Date getEfMonthProcTime() {
        return efMonthProcTime;
    }

    public void setEfType(Long efType) {
        this.efType = efType;
    }

    public Long getEfType() {
        return efType;
    }

    public void setPara(String para) {
        this.para = para;
    }

    public String getPara() {
        return para;
    }

    public void setMem(String mem) {
        this.mem = mem;
    }

    public String getMem() {
        return mem;
    }

    public void setIfModelValid(Long ifModelValid) {
        this.ifModelValid = ifModelValid;
    }

    public Long getIfModelValid() {
        return ifModelValid;
    }

    public String getWindplantName() {
        return windplantName;
    }

    public void setWindplantName(String windplantName) {
        this.windplantName = windplantName;
    }

    /*关联表查询开始*/
    private String itemName;

    public String getItemName() {
        return itemName;
    }

    public void setItemName(String itemName) {
        this.itemName = itemName;
    }
    /*关联表查询结束*/

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("windplantNo", getWindplantNo())
                .append("modelNo", getModelNo())
                .append("efProcTime", getEfProcTime())
                .append("efDayProcTime", getEfDayProcTime())
                .append("efMonthProcTime", getEfMonthProcTime())
                .append("efType", getEfType())
                .append("para", getPara())
                .append("mem", getMem())
                .append("ifModelValid", getIfModelValid())
                .toString();
    }
}
